Package org.apache.maven.scm.provider.hg.command.info

## Class HgInfoConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.info.HgInfoConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class HgInfoConsumer
    extends HgConsumer

Since:
  1.5
Author:
  Olivier Lamy

### Constructor Summary

Constructors
`HgInfoConsumer​(ScmLogger scmLogger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<InfoItem>` `getInfoItems()`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`doConsume, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgInfoConsumer

    public HgInfoConsumer​(ScmLogger scmLogger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Description copied from class: `HgConsumer`

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
Overrides:
  `consumeLine` in class `HgConsumer`
See Also:
  `StreamConsumer.consumeLine(java.lang.String)`

#### getInfoItems

    public java.util.List<InfoItem> getInfoItems()